package cn.net.caoyao.cpzshandset.service.thread;

import cn.net.caoyao.cpzshandset.MyHandsetApp;
import cn.net.caoyao.cpzshandset.common.config.Config;
import cn.net.caoyao.cpzshandset.common.util.CacheGet;

/**
 * Created by Echo on 2016/5/24.
 */
public class ThreadReqTools {
	public static String getCommonErrorMsg(int errorCode){
		String errMsg = "请求时遇到错误信息\n错误码：" + String.format("%X", errorCode);
		switch (errorCode) {
		case 0xFFDC:
			errMsg = "客户端上行的协议与工作模式不匹配\n错误码："+String.format("%X", errorCode);
			break;
		case 0xFFC0:
			errMsg = "json解析错误\n错误码：" + String.format("%X", errorCode);
			break;
		case 0xFFBF:
			errMsg = "该标签不是中国追溯的合法标签\n错误码："+String.format("%X", errorCode);
			break;
		case 0x2:
			errMsg = "数据库插入失败\n错误码："+String.format("%X", errorCode);
			break;
		}
		
		return errMsg;
	}
	
	public static String getErrorMsg(int errorCode){
		String errMsg = "请求时遇到错误信息";
		try {
			errMsg = ThreadErrorConstant.valueOf("code_"+errorCode).getError_msg();
		} catch (IllegalArgumentException e) {
			errMsg = "请求时遇到错误信息";
		}
		
		return errMsg;
	}
	/*public static String getErrorMsg(int errorCode){
		String errMsg = "请求时遇到错误信息";
		switch (errorCode) {
		case 0xFFDC:
			errMsg = "客户端上行的协议与工作模式不匹配";
			break;
		case 0xFFC0:
			errMsg = "json解析错误";
			break;
		case 0xFFBF:
			errMsg = "该标签不是中国追溯的合法标签";
			break;
		case 0x2:
			errMsg = "数据库插入失败";
			break;
		case 10001:
			errMsg = "sql提交错误";
			break;
		case 10002:
			errMsg = "设备ID不存在";
			break;
		case 10003:
			errMsg = "json解析错误";
			break;
		case 10004:
			errMsg = "存在重复激活的标签";
			break;
		case 10005:
			errMsg = "mysql句柄为空";
			break;
		case 10006:
			//打包时有的标签已经存在，但是属于不同的产品
			errMsg = "当前打包的标签不是同一个产品的";
			break;
		case 10007:
			//筛查已经存在的标签时出错
			errMsg = "筛查已经存在的标签时出错";
			break;
		case 10008:
			//打包的时候有标签未被激活
			errMsg = "当前打包标签中，存在未激活标签";
			break;
		case 10009:
			//打包的时候有标签未被激活
			errMsg = "标签不合法";
			break;
		case 10010:
			//拆包时检查标签是子标签不是包标签
			errMsg = "该标签不是包标签";
			break;
		case 10011:
			//标签不存在label_info 表中
			errMsg = "标签不存在";//标签未激活
			break;
		case 10012:
//			12,10012 云天化上传发货类型错误
			errMsg = "上传发货类型错误";
			break;
		case 10013:
//			13,10013 云天化上传发货信息失败
			errMsg = "上传发货信息失败";
			break;	
		case 10014:
			//10014出库失败
			errMsg = "出库失败";
			break;
		case 10015:
			//10015返库失败
			errMsg = "返库失败";
			break;
		case 10016:
			//10016 标签数组是空的
			errMsg = "上传的标签为空";
			break;
		case 10017:
//			中纺
			errMsg = "托盘标签不存在";
			break;		
		case 10018:
//			10018 标签不是全部出库状态
			errMsg = "存在未出库标签";
			break;
		case 10019:
			//标签不是全部返库状态
			errMsg = "存在未返库标签";
			break;
		case 10020:
			//标签不是来自指定的同一个经销商
			errMsg = "提交的标签不是来自指定的同一个经销商";
			break;
		case 10021 :
			//标签区间重复
			errMsg = "标签区间重复";
			break;
		case 10022 :
			//查询订单失败
			errMsg = "该订单不存在";
			break;
		case 10023 :
			//有部分标签已经出库
			errMsg = "有部分标签已经出库";
			break;
		case 10024:
			//云天化物流标签超过司机指定数目
			errMsg = "标签数超过该司机的指定数目";
			break;
		case 10025:
			//云天化物流标签存在重复发货
			errMsg = "运单中存在已经发货的标签";
			break;
		case 10026:
			//10026存在标签不是包标签
			errMsg = "存在标签不是包标签";
			break;
		case 10027:
			//10027 消费码错误
			errMsg = "验证码错误";
			break;
		case 10028:
			//10028IMEI未注册到对应的专柜
			errMsg = "该IMEI还未注册到对应的专柜";
			break;
		case 10029:
			//10029药监码不存在
			errMsg = "药监码不存在";
			break;
		case 10030:
			//10030未注册标签卷
			errMsg = "未注册标签卷";
			break;
		case 10031:
			//10031  有部分标签已经销售"
			errMsg = "有部分标签已经销售";
			break;
		case 10032:
			//10032 有部分标签已经退货
			errMsg = "有部分标签已经退货";
			break;
		case 10033:
			errMsg = "退货时标签不是全部销售或者出库状态";
			break;
		case 10034:
			errMsg = "汽配找不到车牌号";
			break;
		case 10035:
			errMsg = "汽配因为不是包标签或者是操作opt错误，不允许销售";
			break;
		case 10036:
			errMsg = "由于配件未出库所以销售失败";
			break;
		case 10037:
			errMsg = "配件重复销售";
			break;	
		default: 
			if(!"".equals(errorCode)){
				if(String.valueOf(errorCode).startsWith("51")){//上传图片的失败
					errMsg = "上传图片失败("+errorCode+")";
				};
			}
			break;
		}
		
		return errMsg;
	}*/
	
	public static String getLiqueurAccount(){
		CacheGet cacheG = new CacheGet();
		
		return cacheG.getCacheStringG(MyHandsetApp.getAppContext(), Config.configSPName, Config.liqueurSFYLoginAccount);
	}
	
}
